<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Gallery;
use App\Models\GalleryImage;
use App\Models\Video;
use Illuminate\Http\Request;

class UserGalleryController extends Controller
{
    //User Gallery View
    public function UserGalleryView()
    {
        $gallery = Gallery::latest()->paginate(12);
        return view('user.gallery.gallery_view', compact('gallery'));
    }

    //User Gallery Details View
    public function UserGalleryDetailsView($id, $slug)
    {
        $gallery = Gallery::find($id);
        return view('user.gallery.gallery_details', compact('gallery'));
    }

      //User Vdieos View
      public function UserVideosView()
      {
          $videos = Video::latest()->get();
          return view('user.gallery.videos', compact('videos'));
      }
}
